Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.management.j2ee
Class JTAResource

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.management.j2ee.J2EEManagedObject
                  org.jboss.management.j2ee.J2EEResource
                      org.jboss.management.j2ee.JTAResource

All Implemented Interfaces:
  J2EEManagedObjectMBean, J2EEResourceMBean, JTAResourceMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, Serializable, org.jboss.system.Service, org.jboss.system.ServiceMBean, StatisticsProvider

public class JTAResource
extends J2EEResource
implements JTAResourceMBean

The JBoss JSR-77.3.30 implementation of the JTAResource model

Version:
  $Revision: 1.11 $
Author:
  Andreas Schaefer., Scott.Stark@jboss.org, thomas.diesler@jboss.org
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jboss.management.j2ee.J2EEManagedObject
`NAME, TYPE`

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`JTAResource(String resName, javax.management.ObjectName j2eeServerName, javax.management.ObjectName jtaServiceName)`

Method Summary
`static javax.management.ObjectName` | `create(javax.management.MBeanServer mbeanServer, String resName, javax.management.ObjectName jtaServiceName)`
`static void` | `destroy(javax.management.MBeanServer mbeanServer, String resName)`
`String` | `getEventType(int pIndex)`
`String[]` | `getEventTypes()`
`javax.management.j2ee.statistics.Stats` | `getstats()` Obtain the Stats from the StatisticsProvider.
`void` | `resetStats()` Called to resetStats all statistics in the provider
`String` | `toString()`

Methods inherited from class org.jboss.management.j2ee.J2EEResource
`getParentKeys`

Methods inherited from class org.jboss.management.j2ee.J2EEManagedObject
`addChild, getobjectName, getObjectName, getObjectName, getparent, getType, getType, iseventProvider, isstateManageable, isstatisticsProvider, newObjectName, postCreation, postRegister, preDeregister, preDestruction, removeChild, removeObject, removeObject, sendNotification, setparent`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, createService, destroy, destroyService, getLog, getName, getNextNotificationSequenceNumber, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, preRegister, start, startService, stop, stopService`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.management.j2ee.J2EEManagedObjectMBean
`addChild, getobjectName, getparent, iseventProvider, isstateManageable, isstatisticsProvider, removeChild, setparent`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Constructor Detail

### JTAResource

    public JTAResource(String resName,
                       javax.management.ObjectName j2eeServerName,
                       javax.management.ObjectName jtaServiceName)
                throws javax.management.MalformedObjectNameException,
                       InvalidParentException

Parameters:
  `resName` - Name of the JTAResource
Throws:
  `InvalidParameterException` - If list of nodes or ports was null or empty
  `javax.management.MalformedObjectNameException`
  `InvalidParentException`

Method Detail

### create

    public static javax.management.ObjectName create(javax.management.MBeanServer mbeanServer,
                                                     String resName,
                                                     javax.management.ObjectName jtaServiceName)

### destroy

    public static void destroy(javax.management.MBeanServer mbeanServer,
                               String resName)

### getstats

    public javax.management.j2ee.statistics.Stats getstats()

  Obtain the Stats from the StatisticsProvider.

  Specified by:
    `getstats` in interface `JTAResourceMBean`
  Returns:
    An EJBStats subclass

### resetStats

    public void resetStats()

  Description copied from interface: `StatisticsProvider`
  Called to resetStats all statistics in the provider

  Specified by:
    `resetStats` in interface `StatisticsProvider`

### getEventTypes

    public String[] getEventTypes()

### getEventType

    public String getEventType(int pIndex)

### toString

    public String toString()

  Overrides:
    `toString` in class `J2EEManagedObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.